Bug 1091667 - [abrt] libreoffice-core: QTransform::type(): soffice.bin killed by SIGSEGV
Summary: [abrt] libreoffice-core: QTransform::type(): soffice.bin killed by SIGSEGV
Keywords:
Status: CLOSED DUPLICATE of bug 1087931
Alias: None
Product: Fedora
Classification: Fedora
Component: libreoffice
Version: 20
Hardware: i686
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Caolan McNamara
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:f2b4acb11a21bc27b94662cb2c9...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-04-27 07:31 UTC by Oron Peled
Modified: 2014-05-11 23:38 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-04-28 06:56:57 UTC


Attachments (Terms of Use)
File: backtrace (90.54 KB, text/plain)
2014-04-27 07:31 UTC, Oron Peled
no flags Details
File: cgroup (161 bytes, text/plain)
2014-04-27 07:31 UTC, Oron Peled
no flags Details
File: core_backtrace (48.74 KB, text/plain)
2014-04-27 07:31 UTC, Oron Peled
no flags Details
File: dso_list (26.47 KB, text/plain)
2014-04-27 07:31 UTC, Oron Peled
no flags Details
File: environ (2.33 KB, text/plain)
2014-04-27 07:31 UTC, Oron Peled
no flags Details
File: exploitable (82 bytes, text/plain)
2014-04-27 07:31 UTC, Oron Peled
no flags Details
File: limits (1.29 KB, text/plain)
2014-04-27 07:31 UTC, Oron Peled
no flags Details
File: maps (81.49 KB, text/plain)
2014-04-27 07:31 UTC, Oron Peled
no flags Details
File: open_fds (798 bytes, text/plain)
2014-04-27 07:31 UTC, Oron Peled
no flags Details
File: proc_pid_status (806 bytes, text/plain)
2014-04-27 07:31 UTC, Oron Peled
no flags Details
File: var_log_messages (2.29 KB, text/plain)
2014-04-27 07:31 UTC, Oron Peled
no flags Details

Description Oron Peled 2014-04-27 07:31:12 UTC
Description of problem:
* During "save as...":
  - Chose directory.
  - Typed a wanted file name.
  - Upon pressing "Save" button

* Not always reproducable, but happend several times.

Version-Release number of selected component:
libreoffice-core-4.2.3.3-6.fc20

Additional info:
reporter:       libreport-2.2.1
backtrace_rating: 4
cmdline:        /usr/lib/libreoffice/program/soffice.bin --writer '/home/esti/My Documents/Enlace Jud\xc3\xado/Noticias-2014.04.25-1.odt' --splash-pipe=5
crash_function: QTransform::type
executable:     /usr/lib/libreoffice/program/soffice.bin
kernel:         3.13.10-200.fc20.i686+PAE
runlevel:       N 5
type:           CCpp
uid:            502

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 QTransform::type at painting/qtransform.cpp:2048
 #1 QRasterPaintEngine::drawImage at painting/qpaintengine_raster.cpp:2166
 #2 QRasterPaintEngine::drawPixmap at painting/qpaintengine_raster.cpp:2057
 #3 QPainter::drawPixmap at painting/qpainter.cpp:5344
 #4 drawPixmap at /usr/include/QtGui/qpainter.h:852
 #5 KFileItemDelegate::paint at /usr/src/debug/kdelibs-4.12.4/kio/kio/kfileitemdelegate.cpp:1303
 #6 QListView::paintEvent at itemviews/qlistview.cpp:1039
 #7 QWidget::event at kernel/qwidget.cpp:8533
 #8 QFrame::event at widgets/qframe.cpp:557
 #9 QAbstractScrollArea::viewportEvent at widgets/qabstractscrollarea.cpp:1043

Potential duplicate: bug 977068

Comment 1 Oron Peled 2014-04-27 07:31:18 UTC
Created attachment 890155 [details]
File: backtrace

Comment 2 Oron Peled 2014-04-27 07:31:20 UTC
Created attachment 890156 [details]
File: cgroup

Comment 3 Oron Peled 2014-04-27 07:31:22 UTC
Created attachment 890157 [details]
File: core_backtrace

Comment 4 Oron Peled 2014-04-27 07:31:25 UTC
Created attachment 890158 [details]
File: dso_list

Comment 5 Oron Peled 2014-04-27 07:31:27 UTC
Created attachment 890159 [details]
File: environ

Comment 6 Oron Peled 2014-04-27 07:31:29 UTC
Created attachment 890160 [details]
File: exploitable

Comment 7 Oron Peled 2014-04-27 07:31:31 UTC
Created attachment 890161 [details]
File: limits

Comment 8 Oron Peled 2014-04-27 07:31:34 UTC
Created attachment 890162 [details]
File: maps

Comment 9 Oron Peled 2014-04-27 07:31:37 UTC
Created attachment 890163 [details]
File: open_fds

Comment 10 Oron Peled 2014-04-27 07:31:39 UTC
Created attachment 890164 [details]
File: proc_pid_status

Comment 11 Oron Peled 2014-04-27 07:31:41 UTC
Created attachment 890165 [details]
File: var_log_messages

Comment 12 David Tardon 2014-04-28 06:56:57 UTC

*** This bug has been marked as a duplicate of bug 1087931 ***


Note You need to log in before you can comment on or make changes to this bug.